package main

import (
	"github.com/spf13/cobra"
)

func rootCmd() *cobra.Command {
	cmd := &cobra.Command{
		Use:     "mc-proxy",
		Short:   "TLS proxy and router for Metacircular Dynamics services",
		Version: version,
	}

	cmd.AddCommand(serverCmd())
	cmd.AddCommand(statusCmd())
	cmd.AddCommand(snapshotCmd())

	return cmd
}
